Subject: Re: [PATCH] Add -k kill keyword expansion option to git-cvsimport

From: Martin Langhoff <[email-masked]>
Date: Mon, 15 Aug 2005 23:20:16 +1200

On 8/15/05, Martin Langhoff <[email-masked]> wrote:
> I think the other modes are relevant in different scenarios. -kv is
> only meaningful as file mode over the life of the file in the repo.
> -kk is only meaningful when calling cvs update with -j -j parameters
> or cvs diff, and is effectively a synonim of -ko.
> 
> In the position we are, getting file/revisions out of a repo, there
> are 2 possible files we can get: the one that you'll get with -kkv and
> the one you'll get with -ko/-kb. -kb/-ko should give us exactly the
> same file, modulo bugs.

After a few more trial runs, it ends up being that -kb and -ko drop
the ball in some instances, and the most reliable flag to send is -kk.
Don't ask me how or why.

So this patch is obsolete too. 

martin